Bug 1465304 - [trello EVOHdIMU] avoid to add path (sub-folder) in front of the vserver name if have specified custom partition and path
[trello EVOHdIMU] avoid to add path (sub-folder) in front of the vserver name...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.7.0
Assigned To: Rajat Chopra
zhaozhanqi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 03:26 EDT by hongli
Modified: 2017-11-28 16:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The code path prepends the partition name automatically to vserver name. Consequence: If the vserver is in a path of length more than 1, then the path is lost because only the partition name is prepended. This leads to 'vserver' not found errors. Fix: Prepend the entire path of vserver instead of just concatenating partition name and vserver name. Result: vserver can now be found even if it is located in a path of length more than one.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-28 16:58:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Origin (Github) 14940 None None None 2017-06-28 16:14 EDT

  None (edit)
Description hongli 2017-06-27 03:26:30 EDT
Description of problem:
User can specified custom partition and path when creating F5 router pod, that means the vserver has been created in the partition and path, but it will failed to create F5 router and pod logs shows error: "The requested Virtual Server (/Ocp/ocp-http-vserver) was not found." Actually, the vserver should be in /Ocp/path/ocp-http-vserver, the "path" is missing when request the vserver.

Workaround is add path in front of the vserver name, for example:
oadm router f5router --type=f5-router \ 
--external-host-http-vserver=path/ocp-http-vserver \
--external-host-https-vserver=path/ocp-https-vserve \
--external-host-partition-path=Ocp/path \
<---snip--->

but it might confusing user since they have specified the path in option --external-host-partition-path.
 

Version-Release number of selected component (if applicable):
openshift v3.6.125
kubernetes v1.6.1+5115d708d7
etcd 3.2.0

How reproducible:
always

Steps to Reproduce:
1. oadm router f5router --replicas=1 --type=f5-router --external-host=10.x.x.x --external-host-username=user --external-host-password=password --external-host-http-vserver=path/ocp-http-vserver --external-host-https-vserver=path/ocp-https-vserver --external-host-private-key=/root/.ssh/id_rsa  --service-account=router --external-host-insecure=true --external-host-internal-ip=10.x.x.x --external-host-vxlan-gw=10.130.0.1/14 --external-host-partition-path=Ocp/path
2.
3.

Actual results:
should add path in front of the vserver name, otherwise will failed to start F5 router pod.

Expected results:
needn't to add extra path in front of the vserver name, just like: 
--external-host-http-vserver=ocp-http-vserver
--external-host-https-vserver=ocp-https-vserver
--external-host-partition-path=Ocp/path

Additional info:
Comment 1 Rajat Chopra 2017-06-28 11:11:57 EDT
Fixed with https://github.com/openshift/origin/pull/14940
Comment 3 hongli 2017-07-05 04:57:47 EDT
verified in atomic-openshift-3.6.133-1.git.0.524e4c8.el7.x86_64 and the issue has been fixed.
Comment 7 errata-xmlrpc 2017-11-28 16:58:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188

Note You need to log in before you can comment on or make changes to this bug.